#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	Test
%define	pnam	Output
Summary:	Test::Output - Utilities to test STDOUT and STDERR messages
Summary(pl.UTF-8):	Test::Output - narzędzia do terowania komunikatów STDOUT i STDERR
Name:		perl-Test-Output
# main versions have two decimal digits; separate further digits with _ to avoid epoch bumps on future updates
Version:	1.03_1
%define	fver	%(echo %{version} | tr -d _)
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{fver}.tar.gz
# Source0-md5:	5384ea67483c98290c1e51b3b2aee84d
URL:		https://metacpan.org/release/Test-Output
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.64
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Capture-Tiny >= 0.17
BuildRequires:	perl-File-Temp >= 0.21
BuildRequires:	perl-Test-Simple >= 0.94
BuildRequires:	perl-Test-Tester >= 0.107
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Output provides a simple interface for testing output sent to
STDOUT or STDERR. A number of different utilies are included to try
and be as flexible as possible to the tester.

%description -l pl.UTF-8
Test::Output udostępnia prosty interfejs do testowania komunikatów
wysyłanych na STDOUT lub STDERR. Załączonych jest wiele różnych
narzędzi do wypróbowania, mających być jak najbardziej elastycznymi
dla testera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{fver}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Test/Output.pm
%{_mandir}/man3/Test::Output.3pm*
%changelog
* Thu Oct 08 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Output.git;a=log;h=master

* Wed Oct 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 652afb4
- updated to 1.031 (as 1.03_1 to avoid future epoch bump)

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7f02519
- drop obsolete and outdated manual inclusion of rpm macros

* Fri Nov 25 2016 Jakub Bogusz <qboosh@pld-linux.org> d878139
- updated to 1.03

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 18a1e05
- updated to 1.01

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> 132d2e6
- updated to 0.16

* Sun Jun 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 164b332
- really added URL

* Sun Jun 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 5d4a3a0
- pl
- generic URL

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 5c31f2d
- initial, ver 0.10, rel 1, builds here

